Package org.jboss.resteasy.plugins.providers.atom.app

## Class AppAccept

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.app.AppAccept

- All Implemented Interfaces:
    `Serializable`

      public class AppAccept
      extends AppCommonAttributes

  Per RFC5023:

       The content of an "app:accept" element value is a media range as
       defined in [RFC2616].  The media range specifies a type of
       representation that can be POSTed to a Collection.

       The app:accept element is similar to the HTTP Accept request-header
       [RFC2616].  Media type parameters are allowed within app:accept, but
       app:accept has no notion of preference -- "accept-params" or "q"
       arguments, as specified in Section 14.1 of [RFC2616] are not
       significant.

       White space (as defined in [REC-xml]) around the app:accept element's
       media range is insignificant and MUST be ignored.

       A value of "application/atom+xml;type=entry" MAY appear in any app:
       accept list of media ranges and indicates that Atom Entry Documents
       can be POSTed to the Collection.  If no app:accept element is
       present, clients SHOULD treat this as equivalent to an app:accept
       element with the content "application/atom+xml;type=entry".

       If one app:accept element exists and is empty, clients SHOULD assume
       that the Collection does not support the creation of new Entries.

       appAccept =
          element app:accept {
                appCommonAttributes,
                ( text? )
          }

  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `content` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppAccept()` |
    `AppAccept​(String content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContent()` | Gets the value of the content property.
    `void` | `setContent​(String value)` | Sets the value of the content property.

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

      `getBase, getLang, getOtherAttributes, getSpace, setBase, setLang, setSpace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected String content

  - ### Constructor Detail

    - #### AppAccept

          public AppAccept()

    - #### AppAccept

          public AppAccept​(String content)

  - ### Method Detail

    - #### getContent

          public String getContent()

      Gets the value of the content property.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent​(String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`